Back to Instagram
Apify·Instagram
Instagram API
/apify/instagram-api-scraperasync$0.003 / resultScrape and download Instagram posts, profiles, places, hashtags, photos without login. Supports search keywords and URL lists. Download your data as HTML table, JSON, CSV, Excel, XML, and RSS feed. Runs as an Apify actor (20–120 s); results are dataset rows.
Charged per returned row plus the flat fee.
Input
| Field | Type | Required | Description |
|---|---|---|---|
| directUrls | array | — | Add one or more Instagram URLs to scrape. The field is optional, but you need to either use this field or search query below. |
| resultsType | string (posts, comments, details, mentions, reels, stories) | — | You can choose to get posts, comments or details from Instagram URLs. Comments can only be scraped from post URLs.❗Please note that the stories type has been deprecated. It used to return reels data, which wasn’t aligned with its purpose. Please use reels instead. (default "posts") |
| resultsLimit | integer | — | How many posts or comments (max 50 comments per post) you want to scrape from each Instagram URL. If you set this to 1, you will get a single post from each page. |
| onlyPostsNewerThan | string | — | Limit how far back to the history the scraper should go. The date should be in YYYY-MM-DD or full ISO absolute format or in relative format e.g. 1 days, 2 months, 3 years. All time values are taken in UTC timezone |
| search | string | — | Provide a search query which will be used to search Instagram for profiles, hashtags or places. |
| searchType | string (user, hashtag, place) | — | What type of pages to search for (you can look for hashtags, profiles or places). (default "hashtag") |
| searchLimit | integer | — | How many search results (hashtags, users or places) should be returned. |
| addParentData | boolean | — | Only for feed items - add data source to results, i.e. for profile posts metadata is profile, for tag posts metadata is hashtag (default false) |
Run it
curl -s https://www.sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"apify","endpoint":"/apify/instagram-api-scraper","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.